Page MenuHomePhabricator

Provide non-canonical-redirect service from every datacenter
Closed, ResolvedPublic

Description

Now that ganeti has been deployed in all the caching DCs (esams,ulsfo,eqsin) we can deploy ncredir servers in all of them, improving the performance of the non-canonical redirect service.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptThu, Jan 9, 8:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Vgutierrez renamed this task from Provide non-canonical-redirect from every datacenter to Provide non-canonical-redirect service from every datacenter.Thu, Jan 9, 8:41 AM
Vgutierrez triaged this task as Medium priority.
Vgutierrez moved this task from Triage to TLS on the Traffic board.

Change 563127 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add ncredir300[12] DNS records

https://gerrit.wikimedia.org/r/563127

Change 563127 merged by Vgutierrez:
[operations/dns@master] Add ncredir300[12] DNS records

https://gerrit.wikimedia.org/r/563127

Change 563161 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server,ncredir: Install ncredir3[00]12

https://gerrit.wikimedia.org/r/563161

Change 563161 merged by Vgutierrez:
[operations/puppet@production] install_server,ncredir: Install ncredir3[00]12

https://gerrit.wikimedia.org/r/563161

Change 563207 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add ncredir-lb.esams.wikimedia.org DNS records

https://gerrit.wikimedia.org/r/563207

Change 563210 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Set realserver_ips on ncredir esams instances

https://gerrit.wikimedia.org/r/563210

Change 563214 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Add ncredir esams configuration

https://gerrit.wikimedia.org/r/563214

Change 563207 merged by Vgutierrez:
[operations/dns@master] Add ncredir-lb.esams.wikimedia.org DNS records

https://gerrit.wikimedia.org/r/563207

Change 563210 merged by Vgutierrez:
[operations/puppet@production] lvs: Set realserver_ips on ncredir esams instances

https://gerrit.wikimedia.org/r/563210

Change 563214 merged by Vgutierrez:
[operations/puppet@production] lvs: Add ncredir esams configuration

https://gerrit.wikimedia.org/r/563214

Mentioned in SAL (#wikimedia-operations) [2020-01-10T08:51:43Z] <vgutierrez> restarting pybal on lvs3007 - T242321

Mentioned in SAL (#wikimedia-operations) [2020-01-10T08:55:22Z] <vgutierrez> restarting pybal on lvs3005 (high-traffic1) - T242321

Change 563382 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Pool esams for ncredir service

https://gerrit.wikimedia.org/r/563382

Change 563401 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add ncredir400[12] DNS records

https://gerrit.wikimedia.org/r/563401

Change 563382 merged by Vgutierrez:
[operations/dns@master] Pool esams for ncredir service

https://gerrit.wikimedia.org/r/563382

Mentioned in SAL (#wikimedia-operations) [2020-01-13T10:51:21Z] <vgutierrez> pooling esams for ncredir - T242321

Change 563401 merged by Vgutierrez:
[operations/dns@master] Add ncredir400[12] DNS records

https://gerrit.wikimedia.org/r/563401

Change 563990 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server,ncredir: Install ncredir400[12]

https://gerrit.wikimedia.org/r/563990

Change 563990 merged by Vgutierrez:
[operations/puppet@production] install_server,ncredir: Install ncredir400[12]

https://gerrit.wikimedia.org/r/563990

Change 564051 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add ncredir-lb.ulsfo.wikimedia.org DNS records

https://gerrit.wikimedia.org/r/564051

Change 564598 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Set realserver_ips on ncredir ulsfo instances

https://gerrit.wikimedia.org/r/564598

Change 564603 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Add ulsfo ncredir configuration

https://gerrit.wikimedia.org/r/564603

Change 564051 merged by Vgutierrez:
[operations/dns@master] Add ncredir-lb.ulsfo.wikimedia.org DNS records

https://gerrit.wikimedia.org/r/564051

Change 564598 merged by Vgutierrez:
[operations/puppet@production] lvs: Set realserver_ips on ncredir ulsfo instances

https://gerrit.wikimedia.org/r/564598

Change 564603 merged by Vgutierrez:
[operations/puppet@production] lvs: Add ulsfo ncredir configuration

https://gerrit.wikimedia.org/r/564603

Mentioned in SAL (#wikimedia-operations) [2020-01-14T11:49:22Z] <vgutierrez> restarting pybal on lvs4007 (secondary LVS) - T242321

Mentioned in SAL (#wikimedia-operations) [2020-01-14T11:51:52Z] <vgutierrez> restarting pybal on lvs4005 (high-traffic1 LVS) - T242321

Change 564627 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Pool ulsfo for ncredir service

https://gerrit.wikimedia.org/r/564627

Change 564655 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add ncredir500[12] DNS records

https://gerrit.wikimedia.org/r/564655

Mentioned in SAL (#wikimedia-operations) [2020-01-15T12:38:52Z] <vgutierrez> Pooling ulsfo for ncredir service - T242321

Change 565026 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server,ncredir: Install ncredir500[12]

https://gerrit.wikimedia.org/r/565026

Change 565026 merged by Vgutierrez:
[operations/puppet@production] install_server,ncredir: Install ncredir500[12]

https://gerrit.wikimedia.org/r/565026

Change 565062 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add ncredir-lb.eqsin.wikimedia.org DNS records

https://gerrit.wikimedia.org/r/565062

Change 565062 merged by Vgutierrez:
[operations/dns@master] Add ncredir-lb.eqsin.wikimedia.org DNS records

https://gerrit.wikimedia.org/r/565062

Change 565070 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Set realserver_ips on ncredir eqsin instances

https://gerrit.wikimedia.org/r/565070

Change 565070 merged by Vgutierrez:
[operations/puppet@production] lvs: Set realserver_ips on ncredir eqsin instances

https://gerrit.wikimedia.org/r/565070

Change 565239 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Add missing ncredir@ulsfo icinga configuration

https://gerrit.wikimedia.org/r/565239

Change 565239 merged by Vgutierrez:
[operations/puppet@production] lvs: Add missing ncredir@ulsfo icinga configuration

https://gerrit.wikimedia.org/r/565239

Change 565240 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] lvs: Add eqsin ncredir configuration

https://gerrit.wikimedia.org/r/565240

Change 565240 merged by Vgutierrez:
[operations/puppet@production] lvs: Add eqsin ncredir configuration

https://gerrit.wikimedia.org/r/565240

Mentioned in SAL (#wikimedia-operations) [2020-01-16T11:13:08Z] <vgutierrez> restarting pybal on lvs5003 (secondary LVS) - T242321

Mentioned in SAL (#wikimedia-operations) [2020-01-16T11:17:17Z] <vgutierrez> restarting pybal on lvs5001 (high-traffic1) - T242321

Change 565256 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Pool eqsin for ncredir service

https://gerrit.wikimedia.org/r/565256

Change 565256 merged by Vgutierrez:
[operations/dns@master] Pool eqsin for ncredir service

https://gerrit.wikimedia.org/r/565256

Vgutierrez closed this task as Resolved.Thu, Jan 16, 3:13 PM
Vgutierrez claimed this task.
Vgutierrez removed a project: Patch-For-Review.

Change 565538 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] cumin: Provide aliases for ncredir@{esams,ulsfo,eqsin}

https://gerrit.wikimedia.org/r/565538

Change 565538 merged by Vgutierrez:
[operations/puppet@production] cumin: Provide aliases for ncredir@{esams,ulsfo,eqsin}

https://gerrit.wikimedia.org/r/565538